Loading...
Searching...
No Matches
AVDOVIColorMetadata Struct Reference

Dolby Vision RPU colorspace metadata parameters. More...

`#include <libavutil/dovi_meta.h>`

## Data Fields

uint8_t | dm_metadata_id
uint8_t | scene_refresh_flag
AVRational | ycc_to_rgb_matrix [9]
| Coefficients of the custom Dolby Vision IPT-PQ matrices.
AVRational | ycc_to_rgb_offset [3]
AVRational | rgb_to_lms_matrix [9]
uint16_t | signal_eotf
| Extra signal metadata (see Dolby patents for more info).
uint16_t | signal_eotf_param0
uint16_t | signal_eotf_param1
uint32_t | signal_eotf_param2
uint8_t | signal_bit_depth
uint8_t | signal_color_space
uint8_t | signal_chroma_format
uint8_t | signal_full_range_flag
uint16_t | source_min_pq
uint16_t | source_max_pq
uint16_t | source_diagonal

## Detailed Description

Dolby Vision RPU colorspace metadata parameters.

Note
  sizeof(AVDOVIColorMetadata) is not part of the public ABI.

Definition at line 171 of file dovi_meta.h.

## Field Documentation

## dm_metadata_id

uint8_t AVDOVIColorMetadata::dm_metadata_id

Definition at line 172 of file dovi_meta.h.

## scene_refresh_flag

uint8_t AVDOVIColorMetadata::scene_refresh_flag

Definition at line 173 of file dovi_meta.h.

## ycc_to_rgb_matrix

AVRational AVDOVIColorMetadata::ycc_to_rgb_matrix[9]

Coefficients of the custom Dolby Vision IPT-PQ matrices.

These are to be used instead of the matrices indicated by the frame's colorspace tags. The output of rgb_to_lms_matrix is to be fed into a BT.2020 LMS->RGB matrix based on a Hunt-Pointer-Estevez transform, but without any crosstalk. (See the definition of the ICtCp colorspace for more information.)

Definition at line 183 of file dovi_meta.h.

## ycc_to_rgb_offset

AVRational AVDOVIColorMetadata::ycc_to_rgb_offset[3]

Definition at line 184 of file dovi_meta.h.

## rgb_to_lms_matrix

AVRational AVDOVIColorMetadata::rgb_to_lms_matrix[9]

Definition at line 185 of file dovi_meta.h.

## signal_eotf

uint16_t AVDOVIColorMetadata::signal_eotf

Extra signal metadata (see Dolby patents for more info).

Definition at line 190 of file dovi_meta.h.

## signal_eotf_param0

uint16_t AVDOVIColorMetadata::signal_eotf_param0

Definition at line 191 of file dovi_meta.h.

## signal_eotf_param1

uint16_t AVDOVIColorMetadata::signal_eotf_param1

Definition at line 192 of file dovi_meta.h.

## signal_eotf_param2

uint32_t AVDOVIColorMetadata::signal_eotf_param2

Definition at line 193 of file dovi_meta.h.

## signal_bit_depth

uint8_t AVDOVIColorMetadata::signal_bit_depth

Definition at line 194 of file dovi_meta.h.

## signal_color_space

uint8_t AVDOVIColorMetadata::signal_color_space

Definition at line 195 of file dovi_meta.h.

## signal_chroma_format

uint8_t AVDOVIColorMetadata::signal_chroma_format

Definition at line 196 of file dovi_meta.h.

## signal_full_range_flag

uint8_t AVDOVIColorMetadata::signal_full_range_flag

Definition at line 197 of file dovi_meta.h.

## source_min_pq

uint16_t AVDOVIColorMetadata::source_min_pq

Definition at line 198 of file dovi_meta.h.

## source_max_pq

uint16_t AVDOVIColorMetadata::source_max_pq

Definition at line 199 of file dovi_meta.h.

## source_diagonal

uint16_t AVDOVIColorMetadata::source_diagonal

Definition at line 200 of file dovi_meta.h.

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h